[Tkabber] Query regarding Tk_Theme23

Damian ONeill tkabber@jabber.ru
Thu, 30 Jan 2003 18:55:34 +0000


--------------050103010101050401050102
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Transfer-Encoding: 7bit

Could you please clarify where I can download 0.9.4.  The latest version 
on the website is 0.9.3beta.

Thanks,
Damian.


Marshall Rose wrote:

>>I am running tkabber 0.9.3beta with ActiveTcl8.4.1.0-linux-ix86 on RH7.3
>>
>>
>>I downloaded Tk_Theme23 compiled and deployed. When I run tclsh and do 
>>package require Tk_Theme I get 23.
>>
>>But when I run tkabber it does not find the correct package.  Looking at 
>>the tkabber-0.9.3beta/plugins/unix/dockingtray.tcl file the following 
>>lines seem to imply that its looking for a package called tkTheme not 
>>Tk_Theme?
>>    
>>
>
>hi. either upgrade to the 0.9.4 or apply this patch provided by Scott Williams!
>
>----------------------------------------------------------------------
>
>--- plugins/unix/dockingtray.tcl.orig   Wed Jan 29 16:35:32 2003
>+++ plugins/unix/dockingtray.tcl        Wed Jan 29 16:35:52 2003
>@@ -13,14 +13,14 @@
>     variable icon
>     variable tray
> 
>-    if {[catch { package require tkTheme }]} {
>+    if {[catch { package require Tk_Theme }]} {
>         return
>     }
> 
>     if {[winfo exists [set tw .tray]]} {
>         destroy $tw
>     }
>-    tkTheme::frame $tw -kdesystray
>+    theme:frame $tw -kdesystray
>     if {[catch { image type trayblank }]} {
>        image create photo trayblank -height 22 -width 22
>        trayblank blank
>
>
>
>  
>


--------------050103010101050401050102
Content-Type: text/html; charset=us-ascii
Content-Transfer-Encoding: 7bit

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title></title>
</head>
<body>
Could you please clarify where I can download 0.9.4. &nbsp;The latest version
on the website is 0.9.3beta.<br>
<br>
Thanks,<br>
Damian.<br>
<br>
<br>
Marshall Rose wrote:<br>
<blockquote type="cite"
 cite="mid20030130085211.795ff24a.mrose@dbc.mtview.ca.us">
  <blockquote type="cite">
    <pre wrap="">I am running tkabber 0.9.3beta with ActiveTcl8.4.1.0-linux-ix86 on RH7.3


I downloaded Tk_Theme23 compiled and deployed. When I run tclsh and do 
package require Tk_Theme I get 23.

But when I run tkabber it does not find the correct package.  Looking at 
the tkabber-0.9.3beta/plugins/unix/dockingtray.tcl file the following 
lines seem to imply that its looking for a package called tkTheme not 
Tk_Theme?
    </pre>
  </blockquote>
  <pre wrap=""><!---->
hi. either upgrade to the 0.9.4 or apply this patch provided by Scott Williams!

----------------------------------------------------------------------

--- plugins/unix/dockingtray.tcl.orig   Wed Jan 29 16:35:32 2003
+++ plugins/unix/dockingtray.tcl        Wed Jan 29 16:35:52 2003
@@ -13,14 +13,14 @@
     variable icon
     variable tray
 
-    if {[catch { package require tkTheme }]} {
+    if {[catch { package require Tk_Theme }]} {
         return
     }
 
     if {[winfo exists [set tw .tray]]} {
         destroy $tw
     }
-    tkTheme::frame $tw -kdesystray
+    theme:frame $tw -kdesystray
     if {[catch { image type trayblank }]} {
        image create photo trayblank -height 22 -width 22
        trayblank blank



  </pre>
</blockquote>
<br>
</body>
</html>

--------------050103010101050401050102--